Description

Supportanfrage

We are in process of collecting logs generated by filters & services. This is required as part of automation whenever failure occurs

during measurement especially in test-drive.

We would like to dump all ADTF console logs to a file (inspite of providing file-name in global settings) either via command line

arguments while launching ADTF or by communicating with ADTF logger service.

Question is: Do we have an option to communicate with ADTF logger service with external windows executable?

Or is there an option to provide in command line arguments to dump console logs to a file?

Lösung

You can start the adtf_launcher with argument -logfile="/path/to/logfile.txt".

This will automati cset -stdout and pipes all output to the given file.

stderr will be logged within /path/to/logfile_stderr.txt besides your /path/to/logfile.txt.

To pipe the whole output in one file use:

adtf_launcher -stdout > /path/to/logfile.txt 2>&1

 See

adtf_launcher -help

History

#1 - 2020-11-06 11:57 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Logging

Hi Gulappa,

you can start the adtf_launcher with argument -logfile="/path/to/logfile.txt".

This will automati cset -stdout and pipes all output to the given file.

stderr will be logged within /path/to/logfile_stderr.txt besides your /path/to/logfile.txt.

To pipe the whole output in one file use:

adtf_launcher -stdout > /path/to/logfile.txt 2>&1

 See

adtf_launcher -help

#2 - 2020-11-09 07:17 - hidden
Thank you for the response. You can close the ticket.

#3 - 2020-11-09 08:24 - hidden

- Project changed from 5 to Public Support

- Subject changed from [Support]: How to dump console logs to a file programmatically to Option to call ADTF Launcher and dump log output in file

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#4 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
